# General
bkp/*
.cursor
.env
**/.env
secrets/*
!secrets/.gitkeep
**/.git
**/.github

# Drupal
drupal/drupal/root
drupal/nginx/nginx.conf

# Mailcow
mailcow/.env
mailcow/.env.backup
!mailcow/data/conf/nginx/dynmaps.conf
!mailcow/data/conf/nginx/meta_exporter.conf
!mailcow/data/conf/nginx/site.conf
!mailcow/data/**/.gitkeep
mailcow/data/*.iml
mailcow/data/.idea
mailcow/data/.vscode/*
mailcow/data/assets/ssl-example/*
mailcow/data/assets/ssl/*
mailcow/data/conf/borgmatic/
mailcow/data/conf/clamav/whitelist.ign2
mailcow/data/conf/dovecot/acl_anyone
mailcow/data/conf/dovecot/dovecot-master.passwd
mailcow/data/conf/dovecot/dovecot-master.userdb
mailcow/data/conf/dovecot/extra.conf
mailcow/data/conf/dovecot/mail_replica.conf
mailcow/data/conf/dovecot/global_sieve_*
mailcow/data/conf/dovecot/last_login
mailcow/data/conf/dovecot/lua
mailcow/data/conf/dovecot/mail_plugins*
mailcow/data/conf/dovecot/shared_namespace.conf
mailcow/data/conf/dovecot/sni.conf
mailcow/data/conf/dovecot/sogo-sso.conf
mailcow/data/conf/dovecot/sogo_trusted_ip.conf
mailcow/data/conf/dovecot/sql
mailcow/data/conf/dovecot/conf.d/fts.conf
mailcow/data/conf/nextcloud-*.bak
mailcow/data/conf/nginx/*.active
mailcow/data/conf/nginx/*.bak
mailcow/data/conf/nginx/*.conf
mailcow/data/conf/nginx/*.custom
mailcow/data/conf/phpfpm/sogo-sso/sogo-sso.pass
mailcow/data/conf/portainer/
mailcow/data/conf/postfix/allow_mailcow_local.regexp
mailcow/data/conf/postfix/custom_postscreen_whitelist.cidr
mailcow/data/conf/postfix/custom_transport.pcre
mailcow/data/conf/postfix/extra.cf
mailcow/data/conf/postfix/sni.map
mailcow/data/conf/postfix/sni.map.db
mailcow/data/conf/postfix/sql
mailcow/data/conf/postfix/dns_blocklists.cf
mailcow/data/conf/postfix/dnsbl_reply.map
mailcow/data/conf/rspamd/custom/*
mailcow/data/conf/rspamd/local.d/*
mailcow/data/conf/rspamd/override.d/*
mailcow/data/conf/sogo/custom-theme.js
mailcow/data/conf/sogo/plist_ldap
mailcow/data/conf/sogo/plist_ldap.sh
mailcow/data/conf/sogo/sieve.creds
mailcow/data/conf/sogo/cron.creds
mailcow/data/conf/sogo/custom-fulllogo.svg
mailcow/data/conf/sogo/custom-shortlogo.svg
mailcow/data/conf/sogo/custom-fulllogo.png
mailcow/data/gitea/
mailcow/data/gogs/
mailcow/data/hooks/dovecot/*
mailcow/data/hooks/phpfpm/*
mailcow/data/hooks/postfix/*
mailcow/data/hooks/rspamd/*
mailcow/data/hooks/sogo/*
mailcow/data/hooks/unbound/*
mailcow/data/web/templates/cache/*
!mailcow/data/web/templates/cache/.gitkeep
mailcow/data/web/.well-known/acme-challenge
mailcow/data/web/css/build/0081-custom-mailcow.css
mailcow/data/web/inc/vars.local.inc.php
mailcow/data/web/inc/app_info.inc.php
mailcow/data/web/nextcloud*/
mailcow/data/web/rc*/
mailcow/docker-compose.override.yml
mailcow/mailcow.conf
mailcow/mailcow.conf_backup
mailcow/rebuild-images.sh
mailcow/refresh_images.sh
mailcow/update_diffs/
mailcow/create_cold_standby.sh
!mailcow/data/conf/nginx/mailcow_auth.conf

nextcloud/hooks/post-installation/set-configs.sh
**/volumes/
mailcow/data/conf/dovecot/auth/passwd-verify.lua
mailcow/data/conf/postfix/main.cf